#############################################################################
# Makefile for building: ../bin/calendrier
# Generated by qmake (1.07a) (Qt 3.3.4) on: Fri Aug 29 00:01:24 2008
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -fomit-frame-pointer -pipe -march=i586 -mtune=pentiumpro -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -fomit-frame-pointer -pipe -march=i586 -mtune=pentiumpro -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = CApp.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/CMaskedLineEdit.h \
		../../MedinTuxTools/Calendar/MyDateTable.h \
		../../MedinTuxTools/Theme.h
SOURCES = main.cpp \
		CApp.cpp \
		../../MedinTuxTools/CGestIni.cpp \
		../../MedinTuxTools/CMaskedLineEdit.cpp \
		../../MedinTuxTools/Calendar/MyDateTable.cpp \
		../../MedinTuxTools/Theme.cpp
OBJECTS = main.o \
		CApp.o \
		CGestIni.o \
		CMaskedLineEdit.o \
		MyDateTable.o \
		Theme.o \
		Dlg_Calendar.o
FORMS = ../../MedinTuxTools/Calendar/Dlg_Calendar.ui
UICDECLS = ../../MedinTuxTools/Calendar/Dlg_Calendar.h
UICIMPLS = ../../MedinTuxTools/Calendar/Dlg_Calendar.cpp
SRCMOC   = moc_CApp.cpp \
		../../MedinTuxTools/moc_CMaskedLineEdit.cpp \
		../../MedinTuxTools/Calendar/moc_MyDateTable.cpp \
		../../MedinTuxTools/Calendar/moc_Dlg_Calendar.cpp
OBJMOC = moc_CApp.o \
		moc_CMaskedLineEdit.o \
		moc_MyDateTable.o \
		moc_Dlg_Calendar.o
DIST	   = src.pro
QMAKE_TARGET = calendrier
DESTDIR  = ../bin/
TARGET   = ../bin/calendrier

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p .tmp/calendrier && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/calendrier/ && $(COPY_FILE) --parents ../../MedinTuxTools/Calendar/Dlg_Calendar.ui.h .tmp/calendrier/ && ( cd `dirname .tmp/calendrier` && $(TAR) calendrier.tar calendrier && $(GZIP) calendrier.tar ) && $(MOVE) `dirname .tmp/calendrier`/calendrier.tar.gz . && $(DEL_FILE) -r .tmp/calendrier

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

main.o: main.cpp ../../MedinTuxTools/Calendar/Dlg_Calendar.h \
		CApp.h \
		../../MedinTuxTools/Calendar/MyDateTable.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/Theme.h

CApp.o: CApp.cpp ../../MedinTuxTools/Theme.h \
		CApp.h \
		../../MedinTuxTools/CGestIni.h

CGestIni.o: ../../MedinTuxTools/CGestIni.cpp ../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CGestIni.o ../../MedinTuxTools/CGestIni.cpp

CMaskedLineEdit.o: ../../MedinTuxTools/CMaskedLineEdit.cpp ../../MedinTuxTools/CMaskedLineEdit.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CMaskedLineEdit.o ../../MedinTuxTools/CMaskedLineEdit.cpp

MyDateTable.o: ../../MedinTuxTools/Calendar/MyDateTable.cpp ../../MedinTuxTools/Calendar/MyDateTable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o MyDateTable.o ../../MedinTuxTools/Calendar/MyDateTable.cpp

Theme.o: ../../MedinTuxTools/Theme.cpp ../../MedinTuxTools/Theme.h \
		../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Theme.o ../../MedinTuxTools/Theme.cpp

../../MedinTuxTools/Calendar/Dlg_Calendar.h: ../../MedinTuxTools/Calendar/Dlg_Calendar.ui ../../MedinTuxTools/CMaskedLineEdit.h \
		../../MedinTuxTools/Calendar/MyDateTable.h
	$(UIC) ../../MedinTuxTools/Calendar/Dlg_Calendar.ui -o ../../MedinTuxTools/Calendar/Dlg_Calendar.h

../../MedinTuxTools/Calendar/Dlg_Calendar.cpp: ../../MedinTuxTools/Calendar/Dlg_Calendar.h ../../MedinTuxTools/Calendar/Dlg_Calendar.ui ../../MedinTuxTools/Calendar/Dlg_Calendar.ui.h ../../MedinTuxTools/CMaskedLineEdit.h \
		../../MedinTuxTools/Calendar/MyDateTable.h
	$(UIC) ../../MedinTuxTools/Calendar/Dlg_Calendar.ui -i Dlg_Calendar.h -o ../../MedinTuxTools/Calendar/Dlg_Calendar.cpp

Dlg_Calendar.o: ../../MedinTuxTools/Calendar/Dlg_Calendar.cpp ../../MedinTuxTools/Calendar/Dlg_Calendar.ui.h \
		../../MedinTuxTools/Calendar/Dlg_Calendar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Dlg_Calendar.o ../../MedinTuxTools/Calendar/Dlg_Calendar.cpp

moc_CApp.o: moc_CApp.cpp  CApp.h ../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/Theme.h

moc_CMaskedLineEdit.o: ../../MedinTuxTools/moc_CMaskedLineEdit.cpp  ../../MedinTuxTools/CMaskedLineEdit.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_CMaskedLineEdit.o ../../MedinTuxTools/moc_CMaskedLineEdit.cpp

moc_MyDateTable.o: ../../MedinTuxTools/Calendar/moc_MyDateTable.cpp  ../../MedinTuxTools/Calendar/MyDateTable.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_MyDateTable.o ../../MedinTuxTools/Calendar/moc_MyDateTable.cpp

moc_Dlg_Calendar.o: ../../MedinTuxTools/Calendar/moc_Dlg_Calendar.cpp  ../../MedinTuxTools/Calendar/Dlg_Calendar.h ../../MedinTuxTools/Calendar/MyDateTable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_Dlg_Calendar.o ../../MedinTuxTools/Calendar/moc_Dlg_Calendar.cpp

moc_CApp.cpp: $(MOC) CApp.h
	$(MOC) CApp.h -o moc_CApp.cpp

../../MedinTuxTools/moc_CMaskedLineEdit.cpp: $(MOC) ../../MedinTuxTools/CMaskedLineEdit.h
	$(MOC) ../../MedinTuxTools/CMaskedLineEdit.h -o ../../MedinTuxTools/moc_CMaskedLineEdit.cpp

../../MedinTuxTools/Calendar/moc_MyDateTable.cpp: $(MOC) ../../MedinTuxTools/Calendar/MyDateTable.h
	$(MOC) ../../MedinTuxTools/Calendar/MyDateTable.h -o ../../MedinTuxTools/Calendar/moc_MyDateTable.cpp

../../MedinTuxTools/Calendar/moc_Dlg_Calendar.cpp: $(MOC) ../../MedinTuxTools/Calendar/Dlg_Calendar.h
	$(MOC) ../../MedinTuxTools/Calendar/Dlg_Calendar.h -o ../../MedinTuxTools/Calendar/moc_Dlg_Calendar.cpp

####### Install

install:  

uninstall:  

